darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.V1.Apply

Contents

- Orphan instances

# Orphan instances

PrimPatch prim => Apply (RepoPatchV1 prim) # |

Instance details

Associated Types

type ApplyState (RepoPatchV1 prim) |
Instance details Defined in Darcs.Patch.V1.Apply type ApplyState (RepoPatchV1 prim) = ApplyState prim

Methods

apply :: ApplyMonad (ApplyState (RepoPatchV1 prim)) m => RepoPatchV1 prim wX wY -> m () #

unapply :: ApplyMonad (ApplyState (RepoPatchV1 prim)) m => RepoPatchV1 prim wX wY -> m () #

PrimPatch prim => RepairToFL (RepoPatchV1 prim) # |
Instance details Methods applyAndTryToFixFL :: ApplyMonad (ApplyState (RepoPatchV1 prim)) m => RepoPatchV1 prim wX wY -> m (Maybe (String, FL (RepoPatchV1 prim) wX wY)) #